require "menu"
require "options"
require "splash"
require "game"
require "alert"
require "debug"
require "maps"
HC = require "HardonCollider"
gamestate = "splash"
world = {}
fullscreen = true
address, port = "192.168.0.102", 7305
nickname = ""
fs_state = false
snd_state = true
--[[ OPTIONS STATE ]]--
for line in love.filesystem.lines("options.ini") do
	table.insert(opts, line)
end
for k, v in pairs(opts) do
	if v == "fullscreen = true" then
		fs_state = true
	elseif v == "sound = false" then
		snd_state = false
	end
end
--[[ END OPT STATE ]]--
--[[ Nickname ]]--
if love.filesystem.exists("nickname.ini") then
	hFile = love.filesystem.newFile("nickname.ini")
	hFile:open('r')
	nickname = hFile:read()
	hFile:close()
else
	hFile = love.filesystem.newFile("nickname.ini")
	hFile:open('w')
	nick = "Bob"
	hFile:write(nick)
	nickname = nick
	hFile:close()
end
--[[ End Nick ]]--
--[[ OPTIONS ]]--

--[[ END OPT ]]--
function love.load()
    love.keyboard.setKeyRepeat(0.2, 0.1)
	love.graphics.setBackgroundColor(255,255,255)
	gamestate = "splash"
	splash.load()
	cursor = love.graphics.newImage("Images/cursor.png")
	love.mouse.setVisible(false)
end
function love.update(dt)
	if gamestate == "menu" then
		menu.update(dt)
	elseif gamestate == "game" then
		game.update(dt)
		maps.update(dt)
	elseif gamestate == "options" then
		options.update(dt)
	elseif gamestate == "splash" then
		splash.update(dt)
	elseif gamestate == "alert" then
		alert.update(dt)
	end
end
function love.quit()
	if gamestate == "game" then
		game.quit()
	else
		love.event.quit()
	end
end
function love.draw()
	if gamestate == "menu" then
		menu.draw()
	elseif gamestate == "game" then
		maps.draw()
		game.draw()
	elseif gamestate == "options" then
		options.draw()
	elseif gamestate == "splash" then
		splash.draw()
	elseif gamestate == "alert" then
		alert.draw()
	end
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(cursor, love.mouse.getX(), love.mouse.getY())
end
function love.mousepressed( mx, my, button )
	cursor = love.graphics.newImage("Images/cursor_click.png")
	if gamestate == "menu" then
		menu.mousepressed( mx, my, button )
	elseif gamestate == "options" then
		options.mousepressed( mx, my, button )
	end
end
function love.keypressed(key, unicode)
	if gamestate == "menu" then
		menu.keypressed(key, unicode)
	elseif gamestate == "options" then
		options.keypressed(key, unicode)
	end
end
function love.mousereleased( x, y, button )
	cursor = love.graphics.newImage("Images/cursor.png")
end
function CheckCollision(x1, y1, w1, h1, x2, y2, w2, h2)
	if x1 > (x2 + w2) or (x1 + w1) < x2 then return false end
	if y1 > (y2 + h2) or (y1 + h1) < y2 then return false end
	return true
end